Bug 437947 - F-10 pv_ops xen: restore stock kernel config on x86_64
F-10 pv_ops xen: restore stock kernel config on x86_64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel-xen-2.6 (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Eduardo Habkost
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10_XenPvOps
  Show dependency treegraph
 
Reported: 2008-03-18 08:03 EDT by Mark McLoughlin
Modified: 2008-07-21 11:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-21 11:42:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2008-03-18 08:03:54 EDT
For bug #436485, we had to change our kernel config as follows:

  -CONFIG_PHYSICAL_START=0x1000000
  +CONFIG_PHYSICAL_START=0x200000

  -CONFIG_SPARSEMEM_VMEMMAP=y
  +# CONFIG_SPARSEMEM_VMEMMAP is not set

This indicates something broken with the x86_64 support which we should be
looking to fix and the change the config back to match the stock config.
Comment 1 Mark McLoughlin 2008-03-18 15:07:03 EDT
Also need to re-enable:

  - CONFIG_SMP
  - CONFIG_NUMA
  - CONFIG_IA32_EMULATION
Comment 2 Mark McLoughlin 2008-04-15 11:40:15 EDT
Punting to F10
Comment 3 Bug Zapper 2008-05-14 02:40:48 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Mark McLoughlin 2008-05-29 12:45:41 EDT
CONFIG_IA32_EMULATION is re-enabled, so we're left with:

# CONFIG_SMP is not set
# CONFIG_NUMA is not set
# CONFIG_NEED_MULTIPLE_NODES is not set
CONFIG_PHYSICAL_START=0x200000
# CONFIG_SPARSEMEM_VMEMMAP is not set
Comment 5 Mark McLoughlin 2008-07-21 11:42:14 EDT
Okay, with kernel-xen-2.6.27-0.2.rc0.git6.fc10.x86_64 all of these have gone
back to the stock configuration

Note You need to log in before you can comment on or make changes to this bug.